Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.identification
Class AssociationType

    Object
      CodeList<AssociationType>
          AssociationType

All Implemented Interfaces:
  Serializable, Comparable<AssociationType>

    @UML(identifier="DS_AssociationTypeCode",
         specification=ISO_19115)
    public final class AssociationType

extends CodeList<AssociationType>

Justification for the correlation of two datasets.

Since:
  GeoAPI 2.1
See Also:
  Serialized Form

Field Summary
`static AssociationType` | `CROSS_REFERENCE` Reference from one dataset to another.
`static AssociationType` | `LARGER_WORD_CITATION` Reference to a master dataset of which this one is a part.
`static AssociationType` | `PART_OF_SEAMLESS_DATABASE` Part of same structured set of data held in a computer.
`static AssociationType` | `SOURCE` Mapping and charting information from which the dataset content originates.
`static AssociationType` | `STEREO_MATE` Part of a set of imagery that when used together, provides three-dimensional images.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static AssociationType` | `valueOf(String code)` Returns the AssociationType that matches the given string, or returns a new one if none match it.
`static AssociationType[]` | `values()` Returns the list of `AssociationType`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CROSS_REFERENCE

    @UML(identifier="crossReference",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final AssociationType CROSS_REFERENCE

  Reference from one dataset to another.

### LARGER_WORD_CITATION

    @UML(identifier="largerWorkCitation",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final AssociationType LARGER_WORD_CITATION

  Reference to a master dataset of which this one is a part.

### PART_OF_SEAMLESS_DATABASE

    @UML(identifier="partOfSeamlessDatabase",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final AssociationType PART_OF_SEAMLESS_DATABASE

  Part of same structured set of data held in a computer.

### SOURCE

    @UML(identifier="source",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final AssociationType SOURCE

  Mapping and charting information from which the dataset content originates.

### STEREO_MATE

    @UML(identifier="stereoMate",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final AssociationType STEREO_MATE

  Part of a set of imagery that when used together, provides three-dimensional images.

Method Detail

### values

    public static AssociationType[] values()

  Returns the list of `AssociationType`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<AssociationType>`

### valueOf

    public static AssociationType valueOf(String code)

  Returns the AssociationType that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.